Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# InputActionList.h File Reference

`#include "ExDefine.h"`

Go to the source code of this file.

## Data Structures
class | SAction
## Defines
#define | NO_INPUT 40000
#define | MOUSE_LEFT_BUTTON_UP 40001
#define | MOUSE_LEFT_BUTTON_DOWN 40002
#define | MOUSE_RIGHT_BUTTON_UP 40003
#define | MOUSE_RIGHT_BUTTON_DOWN 40004
#define | MOUSE_MIDDLE_BUTTON_UP 40005
#define | MOUSE_MIDDLE_BUTTON_DOWN 40006
#define | KEYBOARD_DOWN_ESC 10001
#define | KEYBOARD_DOWN_F1 10002
#define | KEYBOARD_DOWN_F2 10003
#define | KEYBOARD_DOWN_F3 10004
#define | KEYBOARD_DOWN_F4 10005
#define | KEYBOARD_DOWN_F5 10006
#define | KEYBOARD_DOWN_F6 10007
#define | KEYBOARD_DOWN_F7 10008
#define | KEYBOARD_DOWN_F8 10009
#define | KEYBOARD_DOWN_F9 10010
#define | KEYBOARD_DOWN_F10 10011
#define | KEYBOARD_DOWN_F11 10012
#define | KEYBOARD_DOWN_F12 10013
#define | KEYBOARD_DOWN_EXP 10014
#define | KEYBOARD_DOWN_1 10015
#define | KEYBOARD_DOWN_2 10016
#define | KEYBOARD_DOWN_3 10017
#define | KEYBOARD_DOWN_4 10018
#define | KEYBOARD_DOWN_5 10019
#define | KEYBOARD_DOWN_6 10020
#define | KEYBOARD_DOWN_7 10021
#define | KEYBOARD_DOWN_8 10022
#define | KEYBOARD_DOWN_9 10023
#define | KEYBOARD_DOWN_0 10024
#define | KEYBOARD_DOWN_ENTER 10025
#define | KEYBOARD_DOWN_SPACE 10026
#define | KEYBOARD_DOWN_RSHIFT 10027
#define | KEYBOARD_DOWN_LSHIFT 10028
#define | KEYBOARD_DOWN_ARROW_UP 10029
#define | KEYBOARD_DOWN_ARROW_DOWN 10030
#define | KEYBOARD_DOWN_ARROW_LEFT 10031
#define | KEYBOARD_DOWN_ARROW_RIGHT 10032
#define | KEYBOARD_DOWN_PAGE_UP 10033
#define | KEYBOARD_DOWN_PAGE_DOWN 10034
#define | KEYBOARD_DOWN_HOME 10035
#define | KEYBOARD_DOWN_END 10036
#define | KEYBOARD_DOWN_INSERT 10037
#define | KEYBOARD_DOWN_A 10038
#define | KEYBOARD_DOWN_Z 10039
#define | KEYBOARD_DOWN_E 10040
#define | KEYBOARD_DOWN_R 10041
#define | KEYBOARD_DOWN_T 10042
#define | KEYBOARD_DOWN_Y 10043
#define | KEYBOARD_DOWN_U 10044
#define | KEYBOARD_DOWN_I 10045
#define | KEYBOARD_DOWN_O 10046
#define | KEYBOARD_DOWN_P 10047
#define | KEYBOARD_DOWN_Q 10048
#define | KEYBOARD_DOWN_S 10049
#define | KEYBOARD_DOWN_D 10050
#define | KEYBOARD_DOWN_F 10051
#define | KEYBOARD_DOWN_G 10052
#define | KEYBOARD_DOWN_H 10053
#define | KEYBOARD_DOWN_J 10054
#define | KEYBOARD_DOWN_K 10055
#define | KEYBOARD_DOWN_L 10056
#define | KEYBOARD_DOWN_M 10057
#define | KEYBOARD_DOWN_W 10058
#define | KEYBOARD_DOWN_X 10059
#define | KEYBOARD_DOWN_C 10060
#define | KEYBOARD_DOWN_V 10061
#define | KEYBOARD_DOWN_B 10062
#define | KEYBOARD_DOWN_N 10063
#define | KEYBOARD_DOWN_M_A 10064
#define | KEYBOARD_DOWN_M_Z 10065
#define | KEYBOARD_DOWN_M_E 10066
#define | KEYBOARD_DOWN_M_R 10067
#define | KEYBOARD_DOWN_M_T 10068
#define | KEYBOARD_DOWN_M_Y 10069
#define | KEYBOARD_DOWN_M_U 10070
#define | KEYBOARD_DOWN_M_I 10071
#define | KEYBOARD_DOWN_M_O 10072
#define | KEYBOARD_DOWN_M_P 10073
#define | KEYBOARD_DOWN_M_Q 10074
#define | KEYBOARD_DOWN_M_S 10075
#define | KEYBOARD_DOWN_M_D 10076
#define | KEYBOARD_DOWN_M_F 10077
#define | KEYBOARD_DOWN_M_G 10078
#define | KEYBOARD_DOWN_M_H 10079
#define | KEYBOARD_DOWN_M_J 10080
#define | KEYBOARD_DOWN_M_K 10081
#define | KEYBOARD_DOWN_M_L 10082
#define | KEYBOARD_DOWN_M_M 10083
#define | KEYBOARD_DOWN_M_W 10084
#define | KEYBOARD_DOWN_M_X 10085
#define | KEYBOARD_DOWN_M_C 10086
#define | KEYBOARD_DOWN_M_V 10087
#define | KEYBOARD_DOWN_M_B 10088
#define | KEYBOARD_DOWN_M_N 10089
#define | KEYBOARD_DOWN__ 10090
#define | KEYBOARD_DOWN_2POINTS 10091
#define | KEYBOARD_DOWN_POINT 10092
#define | KEYBOARD_DOWN_BACKSPACE 10093
#define | KEYBOARD_DOWN_TAB 10094
#define | KEYBOARD_DOWN_CTRL_U 10095
#define | KEYBOARD_UP_ESC 20001
#define | KEYBOARD_UP_F1 20002
#define | KEYBOARD_UP_F2 20003
#define | KEYBOARD_UP_F3 20004
#define | KEYBOARD_UP_F4 20005
#define | KEYBOARD_UP_F5 20006
#define | KEYBOARD_UP_F6 20007
#define | KEYBOARD_UP_F7 20008
#define | KEYBOARD_UP_F8 20009
#define | KEYBOARD_UP_F9 20010
#define | KEYBOARD_UP_F10 20011
#define | KEYBOARD_UP_F11 20012
#define | KEYBOARD_UP_F12 20013
#define | KEYBOARD_UP_EXP 20014
#define | KEYBOARD_UP_1 20015
#define | KEYBOARD_UP_2 20016
#define | KEYBOARD_UP_3 20017
#define | KEYBOARD_UP_4 20018
#define | KEYBOARD_UP_5 20019
#define | KEYBOARD_UP_6 20020
#define | KEYBOARD_UP_7 20021
#define | KEYBOARD_UP_8 20022
#define | KEYBOARD_UP_9 20023
#define | KEYBOARD_UP_0 20024
#define | KEYBOARD_UP_ENTER 20025
#define | KEYBOARD_UP_SPACE 20026
#define | KEYBOARD_UP_RSHIFT 20027
#define | KEYBOARD_UP_LSHIFT 20028
#define | KEYBOARD_UP_ARROW_UP 20029
#define | KEYBOARD_UP_ARROW_DOWN 20030
#define | KEYBOARD_UP_ARROW_LEFT 20031
#define | KEYBOARD_UP_ARROW_RIGHT 20032
#define | KEYBOARD_UP_PAGE_UP 20033
#define | KEYBOARD_UP_PAGE_DOWN 20034
#define | KEYBOARD_UP_HOME 20035
#define | KEYBOARD_UP_END 20036
#define | KEYBOARD_UP_INSERT 20037
#define | KEYBOARD_UP_A 20038
#define | KEYBOARD_UP_Z 20039
#define | KEYBOARD_UP_E 20040
#define | KEYBOARD_UP_R 20041
#define | KEYBOARD_UP_T 20042
#define | KEYBOARD_UP_Y 20043
#define | KEYBOARD_UP_U 20044
#define | KEYBOARD_UP_I 20045
#define | KEYBOARD_UP_O 20046
#define | KEYBOARD_UP_P 20047
#define | KEYBOARD_UP_Q 20048
#define | KEYBOARD_UP_S 20049
#define | KEYBOARD_UP_D 20050
#define | KEYBOARD_UP_F 20051
#define | KEYBOARD_UP_G 20052
#define | KEYBOARD_UP_H 20053
#define | KEYBOARD_UP_J 20054
#define | KEYBOARD_UP_K 20055
#define | KEYBOARD_UP_L 20056
#define | KEYBOARD_UP_M 20057
#define | KEYBOARD_UP_W 20058
#define | KEYBOARD_UP_X 20059
#define | KEYBOARD_UP_C 20060
#define | KEYBOARD_UP_V 20061
#define | KEYBOARD_UP_B 20062
#define | KEYBOARD_UP_N 20063
#define | KEYBOARD_UP_M_A 20064
#define | KEYBOARD_UP_M_Z 20065
#define | KEYBOARD_UP_M_E 20066
#define | KEYBOARD_UP_M_R 20067
#define | KEYBOARD_UP_M_T 20068
#define | KEYBOARD_UP_M_Y 20069
#define | KEYBOARD_UP_M_U 20070
#define | KEYBOARD_UP_M_I 20071
#define | KEYBOARD_UP_M_O 20072
#define | KEYBOARD_UP_M_P 20073
#define | KEYBOARD_UP_M_Q 20074
#define | KEYBOARD_UP_M_S 20075
#define | KEYBOARD_UP_M_D 20076
#define | KEYBOARD_UP_M_F 20077
#define | KEYBOARD_UP_M_G 20078
#define | KEYBOARD_UP_M_H 20079
#define | KEYBOARD_UP_M_J 20080
#define | KEYBOARD_UP_M_K 20081
#define | KEYBOARD_UP_M_L 20082
#define | KEYBOARD_UP_M_M 20083
#define | KEYBOARD_UP_M_W 20084
#define | KEYBOARD_UP_M_X 20085
#define | KEYBOARD_UP_M_C 20086
#define | KEYBOARD_UP_M_V 20087
#define | KEYBOARD_UP_M_B 20088
#define | KEYBOARD_UP_M_N 20089
#define | KEYBOARD_UP__ 20090
#define | KEYBOARD_UP_2POINTS 20091
#define | KEYBOARD_UP_POINT 20092
#define | KEYBOARD_UP_BACKSPACE 20093
#define | KEYBOARD_UP_TAB 20094
#define | KEYBOARD_UP_CTRL_U 20095
#define | START_BASIC_ACTION_MAP 0
#define | NOTHING 0
#define | QUIT 30001
#define | ENABLE_ANTIALIASING 30004
#define | DISABEL_ANTIALIASING 30005
#define | SET_RENDERMODE_TEXTURES_LIGHT 30006
#define | SET_RENDERMODE_TEXTURES 30007
#define | SET_RENDERMODE_TRIANGLES_LIGHT 30008
#define | SET_RENDERMODE_TRIANGLES 30009
#define | SET_RENDERMODE_POINTS 30010
#define | SET_RENDERMODE_LINES 30011
#define | SET_RENDERMODE_NO 30012
#define | SHOW_NET_STAT 30013
#define | HIDE_NET_STAT 30014
#define | SHOW_FPS_STAT 30015
#define | HIDE_FPS_STAT 31116
#define | ENABLE_GRIDE 30020
#define | DISABLE_GRIDE 30021
#define | SWITCH_GRIDE 30022
#define | SET_RESOLUTION_800_600_16 30023
#define | SET_RESOLUTION_800_600_24 30024
#define | SET_RESOLUTION_800_600_32 30025
#define | SET_RESOLUTION_1024_768_16 30026
#define | SET_RESOLUTION_1024_768_24 30027
#define | SET_RESOLUTION_1024_768_32 30028
#define | SET_RESOLUTION_1600_1200_16 30029
#define | SET_RESOLUTION_1600_1200_24 30030
#define | SET_RESOLUTION_1600_1200_32 30031
#define | LOAD_COMMAND_CONFIG_FILE 30032
#define | LOAD_MODELE_FILE 30033
#define | LOAD_MAP_FILE 30034
#define | LOAD_INTERFACE_FILE 30035
#define | LOAD_SOUND_FILE 30036
#define | LOAD_CONSOLE_CONFIG_FILE 30037
#define | LOAD_FILE 30038
#define | LOAD_SET_OF_FILE 30039
#define | LOAD_EXEC_CONFIG_FILE 30043
#define | LOAD_PART_CONFIG_FILE 30047
#define | RESET 30040
#define | ENABLE_MULTIVIEW 30041
#define | DISABLE_MULTIVIEW 30042
#define | LIST_TEXTURE 30045
#define | CHECK_DEVICE 30046
#define | SET_SPECIAL_EFFECT 30048
#define | LIST_ID 30049
#define | END_BASIC_ACTION_MAP 30098
#define | START_CAMERA_ACTION_MAP 30099
#define | CAMERA_CURRENT_START_ROTATEX_UP 30100
#define | CAMERA_CURRENT_STOP_ROTATEX_UP 30101
#define | CAMERA_CURRENT_ROTATEX_UP 30102
#define | CAMERA_CURRENT_START_ROTATEX_DOWN 30103
#define | CAMERA_CURRENT_STOP_ROTATEX_DOWN 30104
#define | CAMERA_CURRENT_ROTATEX_DOWN 30105
#define | CAMERA_CURRENT_START_ROTATEY_UP 30106
#define | CAMERA_CURRENT_STOP_ROTATEY_UP 30107
#define | CAMERA_CURRENT_ROTATEY_UP 30108
#define | CAMERA_CURRENT_START_ROTATEY_DOWN 30109
#define | CAMERA_CURRENT_STOP_ROTATEY_DOWN 30110
#define | CAMERA_CURRENT_ROTATEY_DOWN 30111
#define | CAMERA_CURRENT_START_ROTATEZ_UP 30112
#define | CAMERA_CURRENT_STOP_ROTATEZ_UP 30113
#define | CAMERA_CURRENT_ROTATEZ_UP 30114
#define | CAMERA_CURRENT_START_ROTATEZ_DOWN 30115
#define | CAMERA_CURRENT_STOP_ROTATEZ_DOWN 30116
#define | CAMERA_CURRENT_ROTATEZ_DOWN 30117
#define | CAMERA_CURRENT_START_GOTO_TARGET 30118
#define | CAMERA_CURRENT_STOP_GOTO_TARGET 30119
#define | CAMERA_CURRENT_GOTO_TARGET 30120
#define | CAMERA_CURRENT_START_INCREASE_SPEED 30121
#define | CAMERA_CURRENT_STOP_INCREASE_SPEED 30122
#define | CAMERA_CURRENT_INCREASE_SPEED 30123
#define | CAMERA_CURRENT_START_DECREASE_SPEED 30124
#define | CAMERA_CURRENT_STOP_DECREASE_SPEED 30125
#define | CAMERA_CURRENT_DECREASE_SPEED 30126
#define | CAMERA_CURRENT_FULL_STOP 30127
#define | CAMERA_NEXT_CAM 30128
#define | CAMERA_PREV_CAM 30129
#define | CAMERA_CURRENT_ROTATEX_UP_TO 30130
#define | CAMERA_CURRENT_ROTATEX_DOWN_TO 30131
#define | CAMERA_CURRENT_ROTATEY_UP_TO 30132
#define | CAMERA_CURRENT_ROTATEY_DOWN_TO 30133
#define | CAMERA_CURRENT_ROTATEZ_UP_TO 30134
#define | CAMERA_CURRENT_ROTATEZ_DOWN_TO 30135
#define | END_CAMERA_ACTION_MAP 30198
#define | START_ENTITE_ACTION_MAP 30199
#define | SET_NEXT_ENTITE_CURRENT 30200
#define | ENTITE_CURRENT_INCREASE_VELOCITY_X 30201
#define | ENTITE_CURRENT_DECREASE_VELOCITY_X 30202
#define | ENTITE_CURRENT_START_INCREASE_VELOCITY_X 30203
#define | ENTITE_CURRENT_STOP_INCREASE_VELOCITY_X 30204
#define | ENTITE_CURRENT_START_DECREASE_VELOCITY_X 30205
#define | ENTITE_CURRENT_STOP_DECREASE_VELOCITY_X 30206
#define | ENTITE_CURRENT_INCREASE_VELOCITY_Y 30207
#define | ENTITE_CURRENT_DECREASE_VELOCITY_Y 30208
#define | ENTITE_CURRENT_START_INCREASE_VELOCITY_Y 30209
#define | ENTITE_CURRENT_STOP_INCREASE_VELOCITY_Y 30210
#define | ENTITE_CURRENT_START_DECREASE_VELOCITY_Y 30211
#define | ENTITE_CURRENT_STOP_DECREASE_VELOCITY_Y 30212
#define | ENTITE_CURRENT_INCREASE_VELOCITY_Z 30213
#define | ENTITE_CURRENT_DECREASE_VELOCITY_Z 30214
#define | ENTITE_CURRENT_START_INCREASE_VELOCITY_Z 30215
#define | ENTITE_CURRENT_STOP_INCREASE_VELOCITY_Z 30216
#define | ENTITE_CURRENT_START_DECREASE_VELOCITY_Z 30217
#define | ENTITE_CURRENT_STOP_DECREASE_VELOCITY_Z 30218
#define | ENTITE_CURRENT_SET_VELOCITY_X 30219
#define | ENTITE_CURRENT_SET_VELOCITY_Y 30220
#define | ENTITE_CURRENT_SET_VELOCITY_Z 30221
#define | LIST_ENTITE 30222
#define | SET_CURRENT_ENTITE 30223
#define | SET_CURRENT_ENTITE_NAME 30224
#define | ENTITE_CURRENT_START_ROTATE_X_UP 30225
#define | ENTITE_CURRENT_STOP_ROTATE_X_UP 30226
#define | ENTITE_CURRENT_ROTATE_X_UP 30227
#define | ENTITE_CURRENT_START_ROTATE_Y_UP 30228
#define | ENTITE_CURRENT_STOP_ROTATE_Y_UP 30229
#define | ENTITE_CURRENT_ROTATE_Y_UP 30230
#define | ENTITE_CURRENT_START_ROTATE_Z_UP 30231
#define | ENTITE_CURRENT_STOP_ROTATE_Z_UP 30232
#define | ENTITE_CURRENT_ROTATE_Z_UP 30233
#define | ENTITE_CURRENT_START_ROTATE_X_DOWN 30234
#define | ENTITE_CURRENT_STOP_ROTATE_X_DOWN 30235
#define | ENTITE_CURRENT_ROTATE_X_DOWN 30236
#define | ENTITE_CURRENT_START_ROTATE_Y_DOWN 30237
#define | ENTITE_CURRENT_STOP_ROTATE_Y_DOWN 30238
#define | ENTITE_CURRENT_ROTATE_Y_DOWN 30239
#define | ENTITE_CURRENT_START_ROTATE_Z_DOWN 30240
#define | ENTITE_CURRENT_STOP_ROTATE_Z_DOWN 30241
#define | ENTITE_CURRENT_ROTATE_Z_DOWN 30242
#define | ENTITE_CURRENT_SET_ROTATE_X 30243
#define | ENTITE_CURRENT_SET_ROTATE_Y 30244
#define | ENTITE_CURRENT_SET_ROTATE_Z 30245
#define | END_ENTITE_ACTION_MAP 30298
#define | START_SOUND_ACTION_MAP 30299
#define | LIST_SOUND 30300
#define | REMOVE_SOUND 30301
#define | PLAY_SOUND 30302
#define | STOP_SOUND 30303
#define | SET_REPEATS_SOUND 30304
#define | GET_REPEATS_SOUND 30305
#define | ADD_SOUND 30306
#define | END_SOUND_ACTION_MAP 30398
#define | START_INTERFACE_ACTION_MAP 30399
#define | SHOW_INTERFACE_REGION 30400
#define | HIDE_INTERFACE_REGION 30401
#define | LIST_INTERFACE 30402
#define | ENABLE_INTERFACE 30403
#define | DISABLE_INTERFACE 30404
#define | ADD_INTERFACE 30405
#define | ENABLE_ALL_INTERFACE 30406
#define | DISABLE_ALL_INTERFACE 30407
#define | END_INTERFACE_ACTION_MAP 30498
#define | START_MAP_ACTION_MAP 30499
#define | SHOW_MAP_SKY_BOX 30500
#define | HIDE_MAP_SKY_BOX 30501
#define | SHOW_MAP_MESH 30502
#define | HIDE_MAP_MESH 30503
#define | ENABLE_MAP_OCTREE 30504
#define | DISABLE_MAP_OCTREE 30505
#define | SHOW_MAP_OCTREE_SUBDIVISON 30506
#define | HIDE_MAP_OCTREE_SUBDIVISON 30507
#define | END_MAP_ACTION_MAP 30598
#define | START_FOG_ACTION_MAP 30599
#define | ENABLE_FOG 30600
#define | DISABEL_FOG 30601
#define | SET_FOG_COLOR_R 30602
#define | SET_FOG_COLOR_G 30603
#define | SET_FOG_COLOR_B 30604
#define | SET_FOG_START_POINT 30605
#define | SET_FOG_END_POINT 30606
#define | SET_FOG_DENSITY 30607
#define | SET_FOG_ALGO_LINEAR 30608
#define | SET_FOG_ALGO_EXP2 30609
#define | SET_FOG_ALGO_EXP 30610
#define | END_FOG_ACTION_MAP 30698
#define | START_PARTICULESYSTEME_ACTION_MAP 30699
#define | LOAD_PARTICULESYSTEME 30700
#define | STAR_PARTICULESYSTEME 30701
#define | STOP_PARTICULESYSTEME 30702
#define | PAUSE_PARTICULESYSTEME 30703
#define | STAR_ALL_PARTICULESYSTEME 30704
#define | STOP_ALL_PARTICULESYSTEME 30705
#define | PAUSE_ALL_PARTICULESYSTEME 30706
#define | LIST_PARTICULESYSTEME 30707
#define | END_PARTICULESYSTEME_ACTION_MAP 30799
#define | START_CONSOL_ACTION_MAP 30800
#define | ENABLE_CONSOL_BACKGROUND_TEXTURE 30801
#define | DISABLE_CONSOL_BACKGROUND_TEXTURE 30802
#define | SET_CONSOL_BACKGROUND_TEXURE 30803
#define | SET_CONSOL_BACKGROUND_COLOR 30804
#define | SET_CONSOL_BACKGROUND_COLOR_BLUE 30805
#define | SET_CONSOL_BACKGROUND_COLOR_GREEN 30806
#define | SET_CONSOL_BACKGROUND_COLOR_RED 30807
#define | ENABLE_CONSOL_BACKGROUND_BLENDING 30809
#define | DISABLE_CONSOL_BACKGROUND_BLENDING 30810
#define | SET_CONSOL_BACKGROUND_BLENDING 30811
#define | SHOW_FULL_CONSOL 30812
#define | SHOW_HALF_CONSOL 30813
#define | HIDE_CONSOL 30814
#define | CONSOL_NEXT_AVIABLE_STATE 30815
#define | CONSOL_LINE_UP 30816
#define | CONSOL_LINE_DOWN 30817
#define | END_CONSOL_ACTION_MAP 30899
#define | START_CUSTOM_ACTION_ACTION_MAP 39999
#define | CUSTOM_ACTION_1 40001
#define | CUSTOM_ACTION_2 40002
#define | CUSTOM_ACTION_3 40003
#define | CUSTOM_ACTION_4 40004
#define | END_CUSTOM_ACTION_ACTION_MAP 50000

## Define Documentation

#define ADD_INTERFACE 30405

| Definition at line 527 of file InputActionList.h.

#define ADD_SOUND 30306

| Definition at line 516 of file InputActionList.h.

#define CAMERA_CURRENT_DECREASE_SPEED 30126

| Definition at line 436 of file InputActionList.h.

#define CAMERA_CURRENT_FULL_STOP 30127

| Definition at line 438 of file InputActionList.h.

#define CAMERA_CURRENT_GOTO_TARGET 30120

| Definition at line 428 of file InputActionList.h.

#define CAMERA_CURRENT_INCREASE_SPEED 30123

| Definition at line 432 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEX_DOWN 30105

| Definition at line 410 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEX_DOWN_TO 30131

| Definition at line 444 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEX_UP 30102

| Definition at line 407 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEX_UP_TO 30130

| Definition at line 443 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEY_DOWN 30111

| Definition at line 417 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEY_DOWN_TO 30133

| Definition at line 446 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEY_UP 30108

| Definition at line 414 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEY_UP_TO 30132

| Definition at line 445 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEZ_DOWN 30117

| Definition at line 424 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEZ_DOWN_TO 30135

| Definition at line 448 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEZ_UP 30114

| Definition at line 421 of file InputActionList.h.

#define CAMERA_CURRENT_ROTATEZ_UP_TO 30134

| Definition at line 447 of file InputActionList.h.

#define CAMERA_CURRENT_START_DECREASE_SPEED 30124

| Definition at line 434 of file InputActionList.h.

#define CAMERA_CURRENT_START_GOTO_TARGET 30118

| Definition at line 426 of file InputActionList.h.

#define CAMERA_CURRENT_START_INCREASE_SPEED 30121

| Definition at line 430 of file InputActionList.h.

#define CAMERA_CURRENT_START_ROTATEX_DOWN 30103

| Definition at line 408 of file InputActionList.h.

#define CAMERA_CURRENT_START_ROTATEX_UP 30100

| Definition at line 405 of file InputActionList.h.

#define CAMERA_CURRENT_START_ROTATEY_DOWN 30109

| Definition at line 415 of file InputActionList.h.

#define CAMERA_CURRENT_START_ROTATEY_UP 30106

| Definition at line 412 of file InputActionList.h.

#define CAMERA_CURRENT_START_ROTATEZ_DOWN 30115

| Definition at line 422 of file InputActionList.h.

#define CAMERA_CURRENT_START_ROTATEZ_UP 30112

| Definition at line 419 of file InputActionList.h.

#define CAMERA_CURRENT_STOP_DECREASE_SPEED 30125

| Definition at line 435 of file InputActionList.h.

#define CAMERA_CURRENT_STOP_GOTO_TARGET 30119

| Definition at line 427 of file InputActionList.h.

#define CAMERA_CURRENT_STOP_INCREASE_SPEED 30122

| Definition at line 431 of file InputActionList.h.

#define CAMERA_CURRENT_STOP_ROTATEX_DOWN 30104

| Definition at line 409 of file InputActionList.h.

#define CAMERA_CURRENT_STOP_ROTATEX_UP 30101

| Definition at line 406 of file InputActionList.h.

#define CAMERA_CURRENT_STOP_ROTATEY_DOWN 30110

| Definition at line 416 of file InputActionList.h.

#define CAMERA_CURRENT_STOP_ROTATEY_UP 30107

| Definition at line 413 of file InputActionList.h.

#define CAMERA_CURRENT_STOP_ROTATEZ_DOWN 30116

| Definition at line 423 of file InputActionList.h.

#define CAMERA_CURRENT_STOP_ROTATEZ_UP 30113

| Definition at line 420 of file InputActionList.h.

#define CAMERA_NEXT_CAM 30128

| Definition at line 440 of file InputActionList.h.

#define CAMERA_PREV_CAM 30129

| Definition at line 441 of file InputActionList.h.

#define CHECK_DEVICE 30046

| Definition at line 396 of file InputActionList.h.

#define CONSOL_LINE_DOWN 30817

| Definition at line 594 of file InputActionList.h.

#define CONSOL_LINE_UP 30816

| Definition at line 593 of file InputActionList.h.

#define CONSOL_NEXT_AVIABLE_STATE 30815

| Definition at line 592 of file InputActionList.h.

#define CUSTOM_ACTION_1 40001

| Definition at line 600 of file InputActionList.h.

#define CUSTOM_ACTION_2 40002

| Definition at line 601 of file InputActionList.h.

#define CUSTOM_ACTION_3 40003

| Definition at line 602 of file InputActionList.h.

#define CUSTOM_ACTION_4 40004

| Definition at line 603 of file InputActionList.h.

#define DISABEL_ANTIALIASING 30005

| Definition at line 348 of file InputActionList.h.

#define DISABEL_FOG 30601

| Definition at line 550 of file InputActionList.h.

#define DISABLE_ALL_INTERFACE 30407

| Definition at line 529 of file InputActionList.h.

#define DISABLE_CONSOL_BACKGROUND_BLENDING 30810

| Definition at line 587 of file InputActionList.h.

#define DISABLE_CONSOL_BACKGROUND_TEXTURE 30802

| Definition at line 580 of file InputActionList.h.

#define DISABLE_GRIDE 30021

| Definition at line 367 of file InputActionList.h.

#define DISABLE_INTERFACE 30404

| Definition at line 526 of file InputActionList.h.

#define DISABLE_MAP_OCTREE 30505

| Definition at line 540 of file InputActionList.h.

#define DISABLE_MULTIVIEW 30042

| Definition at line 394 of file InputActionList.h.

#define ENABLE_ALL_INTERFACE 30406

| Definition at line 528 of file InputActionList.h.

#define ENABLE_ANTIALIASING 30004

| Definition at line 347 of file InputActionList.h.

#define ENABLE_CONSOL_BACKGROUND_BLENDING 30809

| Definition at line 586 of file InputActionList.h.

#define ENABLE_CONSOL_BACKGROUND_TEXTURE 30801

| Definition at line 579 of file InputActionList.h.

#define ENABLE_FOG 30600

| Definition at line 549 of file InputActionList.h.

#define ENABLE_GRIDE 30020

| Definition at line 366 of file InputActionList.h.

#define ENABLE_INTERFACE 30403

| Definition at line 525 of file InputActionList.h.

#define ENABLE_MAP_OCTREE 30504

| Definition at line 539 of file InputActionList.h.

#define ENABLE_MULTIVIEW 30041

| Definition at line 393 of file InputActionList.h.

#define END_BASIC_ACTION_MAP 30098

| Definition at line 400 of file InputActionList.h.

#define END_CAMERA_ACTION_MAP 30198

| Definition at line 449 of file InputActionList.h.

#define END_CONSOL_ACTION_MAP 30899

| Definition at line 595 of file InputActionList.h.

#define END_CUSTOM_ACTION_ACTION_MAP 50000

| Definition at line 604 of file InputActionList.h.

#define END_ENTITE_ACTION_MAP 30298

| Definition at line 505 of file InputActionList.h.

#define END_FOG_ACTION_MAP 30698

| Definition at line 560 of file InputActionList.h.

#define END_INTERFACE_ACTION_MAP 30498

| Definition at line 530 of file InputActionList.h.

#define END_MAP_ACTION_MAP 30598

| Definition at line 543 of file InputActionList.h.

#define END_PARTICULESYSTEME_ACTION_MAP 30799

| Definition at line 573 of file InputActionList.h.

#define END_SOUND_ACTION_MAP 30398

| Definition at line 517 of file InputActionList.h.

#define ENTITE_CURRENT_DECREASE_VELOCITY_X 30202

| Definition at line 457 of file InputActionList.h.

#define ENTITE_CURRENT_DECREASE_VELOCITY_Y 30208

| Definition at line 463 of file InputActionList.h.

#define ENTITE_CURRENT_DECREASE_VELOCITY_Z 30214

| Definition at line 469 of file InputActionList.h.

#define ENTITE_CURRENT_INCREASE_VELOCITY_X 30201

| Definition at line 456 of file InputActionList.h.

#define ENTITE_CURRENT_INCREASE_VELOCITY_Y 30207

| Definition at line 462 of file InputActionList.h.

#define ENTITE_CURRENT_INCREASE_VELOCITY_Z 30213

| Definition at line 468 of file InputActionList.h.

#define ENTITE_CURRENT_ROTATE_X_DOWN 30236

| Definition at line 493 of file InputActionList.h.

#define ENTITE_CURRENT_ROTATE_X_UP 30227

| Definition at line 483 of file InputActionList.h.

#define ENTITE_CURRENT_ROTATE_Y_DOWN 30239

| Definition at line 496 of file InputActionList.h.

#define ENTITE_CURRENT_ROTATE_Y_UP 30230

| Definition at line 486 of file InputActionList.h.

#define ENTITE_CURRENT_ROTATE_Z_DOWN 30242

| Definition at line 499 of file InputActionList.h.

#define ENTITE_CURRENT_ROTATE_Z_UP 30233

| Definition at line 489 of file InputActionList.h.

#define ENTITE_CURRENT_SET_ROTATE_X 30243

| Definition at line 501 of file InputActionList.h.

#define ENTITE_CURRENT_SET_ROTATE_Y 30244

| Definition at line 502 of file InputActionList.h.

#define ENTITE_CURRENT_SET_ROTATE_Z 30245

| Definition at line 503 of file InputActionList.h.

#define ENTITE_CURRENT_SET_VELOCITY_X 30219

| Definition at line 474 of file InputActionList.h.

#define ENTITE_CURRENT_SET_VELOCITY_Y 30220

| Definition at line 475 of file InputActionList.h.

#define ENTITE_CURRENT_SET_VELOCITY_Z 30221

| Definition at line 476 of file InputActionList.h.

#define ENTITE_CURRENT_START_DECREASE_VELOCITY_X 30205

| Definition at line 460 of file InputActionList.h.

#define ENTITE_CURRENT_START_DECREASE_VELOCITY_Y 30211

| Definition at line 466 of file InputActionList.h.

#define ENTITE_CURRENT_START_DECREASE_VELOCITY_Z 30217

| Definition at line 472 of file InputActionList.h.

#define ENTITE_CURRENT_START_INCREASE_VELOCITY_X 30203

| Definition at line 458 of file InputActionList.h.

#define ENTITE_CURRENT_START_INCREASE_VELOCITY_Y 30209

| Definition at line 464 of file InputActionList.h.

#define ENTITE_CURRENT_START_INCREASE_VELOCITY_Z 30215

| Definition at line 470 of file InputActionList.h.

#define ENTITE_CURRENT_START_ROTATE_X_DOWN 30234

| Definition at line 491 of file InputActionList.h.

#define ENTITE_CURRENT_START_ROTATE_X_UP 30225

| Definition at line 481 of file InputActionList.h.

#define ENTITE_CURRENT_START_ROTATE_Y_DOWN 30237

| Definition at line 494 of file InputActionList.h.

#define ENTITE_CURRENT_START_ROTATE_Y_UP 30228

| Definition at line 484 of file InputActionList.h.

#define ENTITE_CURRENT_START_ROTATE_Z_DOWN 30240

| Definition at line 497 of file InputActionList.h.

#define ENTITE_CURRENT_START_ROTATE_Z_UP 30231

| Definition at line 487 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_DECREASE_VELOCITY_X 30206

| Definition at line 461 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_DECREASE_VELOCITY_Y 30212

| Definition at line 467 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_DECREASE_VELOCITY_Z 30218

| Definition at line 473 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_INCREASE_VELOCITY_X 30204

| Definition at line 459 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_INCREASE_VELOCITY_Y 30210

| Definition at line 465 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_INCREASE_VELOCITY_Z 30216

| Definition at line 471 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_ROTATE_X_DOWN 30235

| Definition at line 492 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_ROTATE_X_UP 30226

| Definition at line 482 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_ROTATE_Y_DOWN 30238

| Definition at line 495 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_ROTATE_Y_UP 30229

| Definition at line 485 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_ROTATE_Z_DOWN 30241

| Definition at line 498 of file InputActionList.h.

#define ENTITE_CURRENT_STOP_ROTATE_Z_UP 30232

| Definition at line 488 of file InputActionList.h.

#define GET_REPEATS_SOUND 30305

| Definition at line 515 of file InputActionList.h.

#define HIDE_CONSOL 30814

| Definition at line 591 of file InputActionList.h.

#define HIDE_FPS_STAT 31116

| Definition at line 361 of file InputActionList.h.

#define HIDE_INTERFACE_REGION 30401

| Definition at line 523 of file InputActionList.h.

#define HIDE_MAP_MESH 30503

| Definition at line 538 of file InputActionList.h.

#define HIDE_MAP_OCTREE_SUBDIVISON 30507

| Definition at line 542 of file InputActionList.h.

#define HIDE_MAP_SKY_BOX 30501

| Definition at line 536 of file InputActionList.h.

#define HIDE_NET_STAT 30014

| Definition at line 359 of file InputActionList.h.

#define KEYBOARD_DOWN_0 10024

| Definition at line 97 of file InputActionList.h.

#define KEYBOARD_DOWN_1 10015

| Definition at line 88 of file InputActionList.h.

#define KEYBOARD_DOWN_2 10016

| Definition at line 89 of file InputActionList.h.

#define KEYBOARD_DOWN_2POINTS 10091

| Definition at line 164 of file InputActionList.h.

#define KEYBOARD_DOWN_3 10017

| Definition at line 90 of file InputActionList.h.

#define KEYBOARD_DOWN_4 10018

| Definition at line 91 of file InputActionList.h.

#define KEYBOARD_DOWN_5 10019

| Definition at line 92 of file InputActionList.h.

#define KEYBOARD_DOWN_6 10020

| Definition at line 93 of file InputActionList.h.

#define KEYBOARD_DOWN_7 10021

| Definition at line 94 of file InputActionList.h.

#define KEYBOARD_DOWN_8 10022

| Definition at line 95 of file InputActionList.h.

#define KEYBOARD_DOWN_9 10023

| Definition at line 96 of file InputActionList.h.

#define KEYBOARD_DOWN__ 10090

| Definition at line 163 of file InputActionList.h.

#define KEYBOARD_DOWN_A 10038

| Definition at line 111 of file InputActionList.h.

#define KEYBOARD_DOWN_ARROW_DOWN 10030

| Definition at line 103 of file InputActionList.h.

#define KEYBOARD_DOWN_ARROW_LEFT 10031

| Definition at line 104 of file InputActionList.h.

#define KEYBOARD_DOWN_ARROW_RIGHT 10032

| Definition at line 105 of file InputActionList.h.

#define KEYBOARD_DOWN_ARROW_UP 10029

| Definition at line 102 of file InputActionList.h.

#define KEYBOARD_DOWN_B 10062

| Definition at line 135 of file InputActionList.h.

#define KEYBOARD_DOWN_BACKSPACE 10093

| Definition at line 166 of file InputActionList.h.

#define KEYBOARD_DOWN_C 10060

| Definition at line 133 of file InputActionList.h.

#define KEYBOARD_DOWN_CTRL_U 10095

| Definition at line 168 of file InputActionList.h.

#define KEYBOARD_DOWN_D 10050

| Definition at line 123 of file InputActionList.h.

#define KEYBOARD_DOWN_E 10040

| Definition at line 113 of file InputActionList.h.

#define KEYBOARD_DOWN_END 10036

| Definition at line 109 of file InputActionList.h.

#define KEYBOARD_DOWN_ENTER 10025

| Definition at line 98 of file InputActionList.h.

#define KEYBOARD_DOWN_ESC 10001

| Definition at line 74 of file InputActionList.h.

#define KEYBOARD_DOWN_EXP 10014

| Definition at line 87 of file InputActionList.h.

#define KEYBOARD_DOWN_F 10051

| Definition at line 124 of file InputActionList.h.

#define KEYBOARD_DOWN_F1 10002

| Definition at line 75 of file InputActionList.h.

#define KEYBOARD_DOWN_F10 10011

| Definition at line 84 of file InputActionList.h.

#define KEYBOARD_DOWN_F11 10012

| Definition at line 85 of file InputActionList.h.

#define KEYBOARD_DOWN_F12 10013

| Definition at line 86 of file InputActionList.h.

#define KEYBOARD_DOWN_F2 10003

| Definition at line 76 of file InputActionList.h.

#define KEYBOARD_DOWN_F3 10004

| Definition at line 77 of file InputActionList.h.

#define KEYBOARD_DOWN_F4 10005

| Definition at line 78 of file InputActionList.h.

#define KEYBOARD_DOWN_F5 10006

| Definition at line 79 of file InputActionList.h.

#define KEYBOARD_DOWN_F6 10007

| Definition at line 80 of file InputActionList.h.

#define KEYBOARD_DOWN_F7 10008

| Definition at line 81 of file InputActionList.h.

#define KEYBOARD_DOWN_F8 10009

| Definition at line 82 of file InputActionList.h.

#define KEYBOARD_DOWN_F9 10010

| Definition at line 83 of file InputActionList.h.

#define KEYBOARD_DOWN_G 10052

| Definition at line 125 of file InputActionList.h.

#define KEYBOARD_DOWN_H 10053

| Definition at line 126 of file InputActionList.h.

#define KEYBOARD_DOWN_HOME 10035

| Definition at line 108 of file InputActionList.h.

#define KEYBOARD_DOWN_I 10045

| Definition at line 118 of file InputActionList.h.

#define KEYBOARD_DOWN_INSERT 10037

| Definition at line 110 of file InputActionList.h.

#define KEYBOARD_DOWN_J 10054

| Definition at line 127 of file InputActionList.h.

#define KEYBOARD_DOWN_K 10055

| Definition at line 128 of file InputActionList.h.

#define KEYBOARD_DOWN_L 10056

| Definition at line 129 of file InputActionList.h.

#define KEYBOARD_DOWN_LSHIFT 10028

| Definition at line 101 of file InputActionList.h.

#define KEYBOARD_DOWN_M 10057

| Definition at line 130 of file InputActionList.h.

#define KEYBOARD_DOWN_M_A 10064

| Definition at line 137 of file InputActionList.h.

#define KEYBOARD_DOWN_M_B 10088

| Definition at line 161 of file InputActionList.h.

#define KEYBOARD_DOWN_M_C 10086

| Definition at line 159 of file InputActionList.h.

#define KEYBOARD_DOWN_M_D 10076

| Definition at line 149 of file InputActionList.h.

#define KEYBOARD_DOWN_M_E 10066

| Definition at line 139 of file InputActionList.h.

#define KEYBOARD_DOWN_M_F 10077

| Definition at line 150 of file InputActionList.h.

#define KEYBOARD_DOWN_M_G 10078

| Definition at line 151 of file InputActionList.h.

#define KEYBOARD_DOWN_M_H 10079

| Definition at line 152 of file InputActionList.h.

#define KEYBOARD_DOWN_M_I 10071

| Definition at line 144 of file InputActionList.h.

#define KEYBOARD_DOWN_M_J 10080

| Definition at line 153 of file InputActionList.h.

#define KEYBOARD_DOWN_M_K 10081

| Definition at line 154 of file InputActionList.h.

#define KEYBOARD_DOWN_M_L 10082

| Definition at line 155 of file InputActionList.h.

#define KEYBOARD_DOWN_M_M 10083

| Definition at line 156 of file InputActionList.h.

#define KEYBOARD_DOWN_M_N 10089

| Definition at line 162 of file InputActionList.h.

#define KEYBOARD_DOWN_M_O 10072

| Definition at line 145 of file InputActionList.h.

#define KEYBOARD_DOWN_M_P 10073

| Definition at line 146 of file InputActionList.h.

#define KEYBOARD_DOWN_M_Q 10074

| Definition at line 147 of file InputActionList.h.

#define KEYBOARD_DOWN_M_R 10067

| Definition at line 140 of file InputActionList.h.

#define KEYBOARD_DOWN_M_S 10075

| Definition at line 148 of file InputActionList.h.

#define KEYBOARD_DOWN_M_T 10068

| Definition at line 141 of file InputActionList.h.

#define KEYBOARD_DOWN_M_U 10070

| Definition at line 143 of file InputActionList.h.

#define KEYBOARD_DOWN_M_V 10087

| Definition at line 160 of file InputActionList.h.

#define KEYBOARD_DOWN_M_W 10084

| Definition at line 157 of file InputActionList.h.

#define KEYBOARD_DOWN_M_X 10085

| Definition at line 158 of file InputActionList.h.

#define KEYBOARD_DOWN_M_Y 10069

| Definition at line 142 of file InputActionList.h.

#define KEYBOARD_DOWN_M_Z 10065

| Definition at line 138 of file InputActionList.h.

#define KEYBOARD_DOWN_N 10063

| Definition at line 136 of file InputActionList.h.

#define KEYBOARD_DOWN_O 10046

| Definition at line 119 of file InputActionList.h.

#define KEYBOARD_DOWN_P 10047

| Definition at line 120 of file InputActionList.h.

#define KEYBOARD_DOWN_PAGE_DOWN 10034

| Definition at line 107 of file InputActionList.h.

#define KEYBOARD_DOWN_PAGE_UP 10033

| Definition at line 106 of file InputActionList.h.

#define KEYBOARD_DOWN_POINT 10092

| Definition at line 165 of file InputActionList.h.

#define KEYBOARD_DOWN_Q 10048

| Definition at line 121 of file InputActionList.h.

#define KEYBOARD_DOWN_R 10041

| Definition at line 114 of file InputActionList.h.

#define KEYBOARD_DOWN_RSHIFT 10027

| Definition at line 100 of file InputActionList.h.

#define KEYBOARD_DOWN_S 10049

| Definition at line 122 of file InputActionList.h.

#define KEYBOARD_DOWN_SPACE 10026

| Definition at line 99 of file InputActionList.h.

#define KEYBOARD_DOWN_T 10042

| Definition at line 115 of file InputActionList.h.

#define KEYBOARD_DOWN_TAB 10094

| Definition at line 167 of file InputActionList.h.

#define KEYBOARD_DOWN_U 10044

| Definition at line 117 of file InputActionList.h.

#define KEYBOARD_DOWN_V 10061

| Definition at line 134 of file InputActionList.h.

#define KEYBOARD_DOWN_W 10058

| Definition at line 131 of file InputActionList.h.

#define KEYBOARD_DOWN_X 10059

| Definition at line 132 of file InputActionList.h.

#define KEYBOARD_DOWN_Y 10043

| Definition at line 116 of file InputActionList.h.

#define KEYBOARD_DOWN_Z 10039

| Definition at line 112 of file InputActionList.h.

#define KEYBOARD_UP_0 20024

| Definition at line 193 of file InputActionList.h.

#define KEYBOARD_UP_1 20015

| Definition at line 184 of file InputActionList.h.

#define KEYBOARD_UP_2 20016

| Definition at line 185 of file InputActionList.h.

#define KEYBOARD_UP_2POINTS 20091

| Definition at line 260 of file InputActionList.h.

#define KEYBOARD_UP_3 20017

| Definition at line 186 of file InputActionList.h.

#define KEYBOARD_UP_4 20018

| Definition at line 187 of file InputActionList.h.

#define KEYBOARD_UP_5 20019

| Definition at line 188 of file InputActionList.h.

#define KEYBOARD_UP_6 20020

| Definition at line 189 of file InputActionList.h.

#define KEYBOARD_UP_7 20021

| Definition at line 190 of file InputActionList.h.

#define KEYBOARD_UP_8 20022

| Definition at line 191 of file InputActionList.h.

#define KEYBOARD_UP_9 20023

| Definition at line 192 of file InputActionList.h.

#define KEYBOARD_UP__ 20090

| Definition at line 259 of file InputActionList.h.

#define KEYBOARD_UP_A 20038

| Definition at line 207 of file InputActionList.h.

#define KEYBOARD_UP_ARROW_DOWN 20030

| Definition at line 199 of file InputActionList.h.

#define KEYBOARD_UP_ARROW_LEFT 20031

| Definition at line 200 of file InputActionList.h.

#define KEYBOARD_UP_ARROW_RIGHT 20032

| Definition at line 201 of file InputActionList.h.

#define KEYBOARD_UP_ARROW_UP 20029

| Definition at line 198 of file InputActionList.h.

#define KEYBOARD_UP_B 20062

| Definition at line 231 of file InputActionList.h.

#define KEYBOARD_UP_BACKSPACE 20093

| Definition at line 262 of file InputActionList.h.

#define KEYBOARD_UP_C 20060

| Definition at line 229 of file InputActionList.h.

#define KEYBOARD_UP_CTRL_U 20095

| Definition at line 264 of file InputActionList.h.

#define KEYBOARD_UP_D 20050

| Definition at line 219 of file InputActionList.h.

#define KEYBOARD_UP_E 20040

| Definition at line 209 of file InputActionList.h.

#define KEYBOARD_UP_END 20036

| Definition at line 205 of file InputActionList.h.

#define KEYBOARD_UP_ENTER 20025

| Definition at line 194 of file InputActionList.h.

#define KEYBOARD_UP_ESC 20001

| Definition at line 170 of file InputActionList.h.

#define KEYBOARD_UP_EXP 20014

| Definition at line 183 of file InputActionList.h.

#define KEYBOARD_UP_F 20051

| Definition at line 220 of file InputActionList.h.

#define KEYBOARD_UP_F1 20002

| Definition at line 171 of file InputActionList.h.

#define KEYBOARD_UP_F10 20011

| Definition at line 180 of file InputActionList.h.

#define KEYBOARD_UP_F11 20012

| Definition at line 181 of file InputActionList.h.

#define KEYBOARD_UP_F12 20013

| Definition at line 182 of file InputActionList.h.

#define KEYBOARD_UP_F2 20003

| Definition at line 172 of file InputActionList.h.

#define KEYBOARD_UP_F3 20004

| Definition at line 173 of file InputActionList.h.

#define KEYBOARD_UP_F4 20005

| Definition at line 174 of file InputActionList.h.

#define KEYBOARD_UP_F5 20006

| Definition at line 175 of file InputActionList.h.

#define KEYBOARD_UP_F6 20007

| Definition at line 176 of file InputActionList.h.

#define KEYBOARD_UP_F7 20008

| Definition at line 177 of file InputActionList.h.

#define KEYBOARD_UP_F8 20009

| Definition at line 178 of file InputActionList.h.

#define KEYBOARD_UP_F9 20010

| Definition at line 179 of file InputActionList.h.

#define KEYBOARD_UP_G 20052

| Definition at line 221 of file InputActionList.h.

#define KEYBOARD_UP_H 20053

| Definition at line 222 of file InputActionList.h.

#define KEYBOARD_UP_HOME 20035

| Definition at line 204 of file InputActionList.h.

#define KEYBOARD_UP_I 20045

| Definition at line 214 of file InputActionList.h.

#define KEYBOARD_UP_INSERT 20037

| Definition at line 206 of file InputActionList.h.

#define KEYBOARD_UP_J 20054

| Definition at line 223 of file InputActionList.h.

#define KEYBOARD_UP_K 20055

| Definition at line 224 of file InputActionList.h.

#define KEYBOARD_UP_L 20056

| Definition at line 225 of file InputActionList.h.

#define KEYBOARD_UP_LSHIFT 20028

| Definition at line 197 of file InputActionList.h.

#define KEYBOARD_UP_M 20057

| Definition at line 226 of file InputActionList.h.

#define KEYBOARD_UP_M_A 20064

| Definition at line 233 of file InputActionList.h.

#define KEYBOARD_UP_M_B 20088

| Definition at line 257 of file InputActionList.h.

#define KEYBOARD_UP_M_C 20086

| Definition at line 255 of file InputActionList.h.

#define KEYBOARD_UP_M_D 20076

| Definition at line 245 of file InputActionList.h.

#define KEYBOARD_UP_M_E 20066

| Definition at line 235 of file InputActionList.h.

#define KEYBOARD_UP_M_F 20077

| Definition at line 246 of file InputActionList.h.

#define KEYBOARD_UP_M_G 20078

| Definition at line 247 of file InputActionList.h.

#define KEYBOARD_UP_M_H 20079

| Definition at line 248 of file InputActionList.h.

#define KEYBOARD_UP_M_I 20071

| Definition at line 240 of file InputActionList.h.

#define KEYBOARD_UP_M_J 20080

| Definition at line 249 of file InputActionList.h.

#define KEYBOARD_UP_M_K 20081

| Definition at line 250 of file InputActionList.h.

#define KEYBOARD_UP_M_L 20082

| Definition at line 251 of file InputActionList.h.

#define KEYBOARD_UP_M_M 20083

| Definition at line 252 of file InputActionList.h.

#define KEYBOARD_UP_M_N 20089

| Definition at line 258 of file InputActionList.h.

#define KEYBOARD_UP_M_O 20072

| Definition at line 241 of file InputActionList.h.

#define KEYBOARD_UP_M_P 20073

| Definition at line 242 of file InputActionList.h.

#define KEYBOARD_UP_M_Q 20074

| Definition at line 243 of file InputActionList.h.

#define KEYBOARD_UP_M_R 20067

| Definition at line 236 of file InputActionList.h.

#define KEYBOARD_UP_M_S 20075

| Definition at line 244 of file InputActionList.h.

#define KEYBOARD_UP_M_T 20068

| Definition at line 237 of file InputActionList.h.

#define KEYBOARD_UP_M_U 20070

| Definition at line 239 of file InputActionList.h.

#define KEYBOARD_UP_M_V 20087

| Definition at line 256 of file InputActionList.h.

#define KEYBOARD_UP_M_W 20084

| Definition at line 253 of file InputActionList.h.

#define KEYBOARD_UP_M_X 20085

| Definition at line 254 of file InputActionList.h.

#define KEYBOARD_UP_M_Y 20069

| Definition at line 238 of file InputActionList.h.

#define KEYBOARD_UP_M_Z 20065

| Definition at line 234 of file InputActionList.h.

#define KEYBOARD_UP_N 20063

| Definition at line 232 of file InputActionList.h.

#define KEYBOARD_UP_O 20046

| Definition at line 215 of file InputActionList.h.

#define KEYBOARD_UP_P 20047

| Definition at line 216 of file InputActionList.h.

#define KEYBOARD_UP_PAGE_DOWN 20034

| Definition at line 203 of file InputActionList.h.

#define KEYBOARD_UP_PAGE_UP 20033

| Definition at line 202 of file InputActionList.h.

#define KEYBOARD_UP_POINT 20092

| Definition at line 261 of file InputActionList.h.

#define KEYBOARD_UP_Q 20048

| Definition at line 217 of file InputActionList.h.

#define KEYBOARD_UP_R 20041

| Definition at line 210 of file InputActionList.h.

#define KEYBOARD_UP_RSHIFT 20027

| Definition at line 196 of file InputActionList.h.

#define KEYBOARD_UP_S 20049

| Definition at line 218 of file InputActionList.h.

#define KEYBOARD_UP_SPACE 20026

| Definition at line 195 of file InputActionList.h.

#define KEYBOARD_UP_T 20042

| Definition at line 211 of file InputActionList.h.

#define KEYBOARD_UP_TAB 20094

| Definition at line 263 of file InputActionList.h.

#define KEYBOARD_UP_U 20044

| Definition at line 213 of file InputActionList.h.

#define KEYBOARD_UP_V 20061

| Definition at line 230 of file InputActionList.h.

#define KEYBOARD_UP_W 20058

| Definition at line 227 of file InputActionList.h.

#define KEYBOARD_UP_X 20059

| Definition at line 228 of file InputActionList.h.

#define KEYBOARD_UP_Y 20043

| Definition at line 212 of file InputActionList.h.

#define KEYBOARD_UP_Z 20039

| Definition at line 208 of file InputActionList.h.

#define LIST_ENTITE 30222

| Definition at line 477 of file InputActionList.h.

#define LIST_ID 30049

| Definition at line 398 of file InputActionList.h.

#define LIST_INTERFACE 30402

| Definition at line 524 of file InputActionList.h.

#define LIST_PARTICULESYSTEME 30707

| Definition at line 572 of file InputActionList.h.

#define LIST_SOUND 30300

| Definition at line 510 of file InputActionList.h.

#define LIST_TEXTURE 30045

| Definition at line 395 of file InputActionList.h.

#define LOAD_COMMAND_CONFIG_FILE 30032

| Definition at line 380 of file InputActionList.h.

#define LOAD_CONSOLE_CONFIG_FILE 30037

| Definition at line 385 of file InputActionList.h.

#define LOAD_EXEC_CONFIG_FILE 30043

| Definition at line 388 of file InputActionList.h.

#define LOAD_FILE 30038

| Definition at line 386 of file InputActionList.h.

#define LOAD_INTERFACE_FILE 30035

| Definition at line 383 of file InputActionList.h.

#define LOAD_MAP_FILE 30034

| Definition at line 382 of file InputActionList.h.

#define LOAD_MODELE_FILE 30033

| Definition at line 381 of file InputActionList.h.

#define LOAD_PART_CONFIG_FILE 30047

| Definition at line 389 of file InputActionList.h.

#define LOAD_PARTICULESYSTEME 30700

| Definition at line 565 of file InputActionList.h.

#define LOAD_SET_OF_FILE 30039

| Definition at line 387 of file InputActionList.h.

#define LOAD_SOUND_FILE 30036

| Definition at line 384 of file InputActionList.h.

#define MOUSE_LEFT_BUTTON_DOWN 40002

| Definition at line 67 of file InputActionList.h.

#define MOUSE_LEFT_BUTTON_UP 40001

| Definition at line 66 of file InputActionList.h.

#define MOUSE_MIDDLE_BUTTON_DOWN 40006

| Definition at line 71 of file InputActionList.h.

#define MOUSE_MIDDLE_BUTTON_UP 40005

| Definition at line 70 of file InputActionList.h.

#define MOUSE_RIGHT_BUTTON_DOWN 40004

| Definition at line 69 of file InputActionList.h.

#define MOUSE_RIGHT_BUTTON_UP 40003

| Definition at line 68 of file InputActionList.h.

#define NO_INPUT 40000

| Definition at line 64 of file InputActionList.h.

#define NOTHING 0

| Definition at line 343 of file InputActionList.h.

#define PAUSE_ALL_PARTICULESYSTEME 30706

| Definition at line 571 of file InputActionList.h.

#define PAUSE_PARTICULESYSTEME 30703

| Definition at line 568 of file InputActionList.h.

#define PLAY_SOUND 30302

| Definition at line 512 of file InputActionList.h.

#define QUIT 30001

| Definition at line 344 of file InputActionList.h.

#define REMOVE_SOUND 30301

| Definition at line 511 of file InputActionList.h.

#define RESET 30040

| Definition at line 391 of file InputActionList.h.

#define SET_CONSOL_BACKGROUND_BLENDING 30811

| Definition at line 588 of file InputActionList.h.

#define SET_CONSOL_BACKGROUND_COLOR 30804

| Definition at line 582 of file InputActionList.h.

#define SET_CONSOL_BACKGROUND_COLOR_BLUE 30805

| Definition at line 583 of file InputActionList.h.

#define SET_CONSOL_BACKGROUND_COLOR_GREEN 30806

| Definition at line 584 of file InputActionList.h.

#define SET_CONSOL_BACKGROUND_COLOR_RED 30807

| Definition at line 585 of file InputActionList.h.

#define SET_CONSOL_BACKGROUND_TEXURE 30803

| Definition at line 581 of file InputActionList.h.

#define SET_CURRENT_ENTITE 30223

| Definition at line 478 of file InputActionList.h.

#define SET_CURRENT_ENTITE_NAME 30224

| Definition at line 479 of file InputActionList.h.

#define SET_FOG_ALGO_EXP 30610

| Definition at line 559 of file InputActionList.h.

#define SET_FOG_ALGO_EXP2 30609

| Definition at line 558 of file InputActionList.h.

#define SET_FOG_ALGO_LINEAR 30608

| Definition at line 557 of file InputActionList.h.

#define SET_FOG_COLOR_B 30604

| Definition at line 553 of file InputActionList.h.

#define SET_FOG_COLOR_G 30603

| Definition at line 552 of file InputActionList.h.

#define SET_FOG_COLOR_R 30602

| Definition at line 551 of file InputActionList.h.

#define SET_FOG_DENSITY 30607

| Definition at line 556 of file InputActionList.h.

#define SET_FOG_END_POINT 30606

| Definition at line 555 of file InputActionList.h.

#define SET_FOG_START_POINT 30605

| Definition at line 554 of file InputActionList.h.

#define SET_NEXT_ENTITE_CURRENT 30200

| Definition at line 455 of file InputActionList.h.

#define SET_RENDERMODE_LINES 30011

| Definition at line 355 of file InputActionList.h.

#define SET_RENDERMODE_NO 30012

| Definition at line 356 of file InputActionList.h.

#define SET_RENDERMODE_POINTS 30010

| Definition at line 354 of file InputActionList.h.

#define SET_RENDERMODE_TEXTURES 30007

| Definition at line 351 of file InputActionList.h.

#define SET_RENDERMODE_TEXTURES_LIGHT 30006

| Definition at line 350 of file InputActionList.h.

#define SET_RENDERMODE_TRIANGLES 30009

| Definition at line 353 of file InputActionList.h.

#define SET_RENDERMODE_TRIANGLES_LIGHT 30008

| Definition at line 352 of file InputActionList.h.

#define SET_REPEATS_SOUND 30304

| Definition at line 514 of file InputActionList.h.

#define SET_RESOLUTION_1024_768_16 30026

| Definition at line 373 of file InputActionList.h.

#define SET_RESOLUTION_1024_768_24 30027

| Definition at line 374 of file InputActionList.h.

#define SET_RESOLUTION_1024_768_32 30028

| Definition at line 375 of file InputActionList.h.

#define SET_RESOLUTION_1600_1200_16 30029

| Definition at line 376 of file InputActionList.h.

#define SET_RESOLUTION_1600_1200_24 30030

| Definition at line 377 of file InputActionList.h.

#define SET_RESOLUTION_1600_1200_32 30031

| Definition at line 378 of file InputActionList.h.

#define SET_RESOLUTION_800_600_16 30023

| Definition at line 370 of file InputActionList.h.

#define SET_RESOLUTION_800_600_24 30024

| Definition at line 371 of file InputActionList.h.

#define SET_RESOLUTION_800_600_32 30025

| Definition at line 372 of file InputActionList.h.

#define SET_SPECIAL_EFFECT 30048

| Definition at line 397 of file InputActionList.h.

#define SHOW_FPS_STAT 30015

| Definition at line 360 of file InputActionList.h.

#define SHOW_FULL_CONSOL 30812

| Definition at line 589 of file InputActionList.h.

#define SHOW_HALF_CONSOL 30813

| Definition at line 590 of file InputActionList.h.

#define SHOW_INTERFACE_REGION 30400

| Definition at line 522 of file InputActionList.h.

#define SHOW_MAP_MESH 30502

| Definition at line 537 of file InputActionList.h.

#define SHOW_MAP_OCTREE_SUBDIVISON 30506

| Definition at line 541 of file InputActionList.h.

#define SHOW_MAP_SKY_BOX 30500

| Definition at line 535 of file InputActionList.h.

#define SHOW_NET_STAT 30013

| Definition at line 358 of file InputActionList.h.

#define STAR_ALL_PARTICULESYSTEME 30704

| Definition at line 569 of file InputActionList.h.

#define STAR_PARTICULESYSTEME 30701

| Definition at line 566 of file InputActionList.h.

#define START_BASIC_ACTION_MAP 0

| Definition at line 341 of file InputActionList.h.

#define START_CAMERA_ACTION_MAP 30099

| Definition at line 404 of file InputActionList.h.

#define START_CONSOL_ACTION_MAP 30800

| Definition at line 578 of file InputActionList.h.

#define START_CUSTOM_ACTION_ACTION_MAP 39999

| Definition at line 599 of file InputActionList.h.

#define START_ENTITE_ACTION_MAP 30199

| Definition at line 454 of file InputActionList.h.

#define START_FOG_ACTION_MAP 30599

| Definition at line 548 of file InputActionList.h.

#define START_INTERFACE_ACTION_MAP 30399

| Definition at line 521 of file InputActionList.h.

#define START_MAP_ACTION_MAP 30499

| Definition at line 534 of file InputActionList.h.

#define START_PARTICULESYSTEME_ACTION_MAP 30699

| Definition at line 564 of file InputActionList.h.

#define START_SOUND_ACTION_MAP 30299

| Definition at line 509 of file InputActionList.h.

#define STOP_ALL_PARTICULESYSTEME 30705

| Definition at line 570 of file InputActionList.h.

#define STOP_PARTICULESYSTEME 30702

| Definition at line 567 of file InputActionList.h.

#define STOP_SOUND 30303

| Definition at line 513 of file InputActionList.h.

#define SWITCH_GRIDE 30022

| Definition at line 368 of file InputActionList.h.